org.jboss.jca.core.api.workmanager

## Class DistributedWorkManagerStatisticsValues

- java.lang.Object
- - org.jboss.jca.core.api.workmanager.DistributedWorkManagerStatisticsValues

- All Implemented Interfaces:
    java.io.Serializable

      public class DistributedWorkManagerStatisticsValues
      extends java.lang.Object
      implements java.io.Serializable

  The JBoss distributed work manager statistics values
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedWorkManagerStatisticsValues(int successful, int failed, int doWorkAccepted, int doWorkRejected, int scheduleWorkAccepted, int scheduleWorkRejected, int startWorkAccepted, int startWorkRejected)` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DistributedWorkManagerStatisticsValues` | `fromMap(java.util.Map<java.lang.String,java.lang.Integer> map)` create an instance from a Map
    `int` | `getDoWorkAccepted()`
    `int` | `getDoWorkRejected()`
    `int` | `getScheduleWorkAccepted()`
    `int` | `getScheduleWorkRejected()`
    `int` | `getStartWorkAccepted()`
    `int` | `getStartWorkRejected()`
    `int` | `getWorkFailed()`
    `int` | `getWorkSuccessful()`
    `java.util.Map<java.lang.String,java.lang.Integer>` | `toMap()` return a map representing the instance
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DistributedWorkManagerStatisticsValues

          public DistributedWorkManagerStatisticsValues(int successful,
                                                        int failed,
                                                        int doWorkAccepted,
                                                        int doWorkRejected,
                                                        int scheduleWorkAccepted,
                                                        int scheduleWorkRejected,
                                                        int startWorkAccepted,
                                                        int startWorkRejected)

      Constructor
      Parameters:
        `successful` - successful
        `failed` - failed
        `doWorkAccepted` - doWorkAccepted
        `doWorkRejected` - doWorkRejected
        `scheduleWorkAccepted` - scheduleWorkAccepted
        `scheduleWorkRejected` - scheduleWorkRejected
        `startWorkAccepted` - startWorkAccepted
        `startWorkRejected` - startWorkRejected

  - ### Method Detail

    - #### fromMap

          public static DistributedWorkManagerStatisticsValues fromMap(java.util.Map<java.lang.String,java.lang.Integer> map)

      create an instance from a Map
      Parameters:
        `map` - the map
      Returns:
        the instance

    - #### toMap

          public java.util.Map<java.lang.String,java.lang.Integer> toMap()

      return a map representing the instance
      Returns:
        the map

    - #### getWorkSuccessful

          public int getWorkSuccessful()

    - #### getWorkFailed

          public int getWorkFailed()

    - #### getDoWorkAccepted

          public int getDoWorkAccepted()

    - #### getDoWorkRejected

          public int getDoWorkRejected()

    - #### getScheduleWorkAccepted

          public int getScheduleWorkAccepted()

    - #### getScheduleWorkRejected

          public int getScheduleWorkRejected()

    - #### getStartWorkAccepted

          public int getStartWorkAccepted()

    - #### getStartWorkRejected

          public int getStartWorkRejected()

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)